hpp-fcl: hpp::fcl::ComputeCollision Class Reference

hpp-fcl 1.7.3 HPP fork of FCL -- The Flexible Collision Library

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
hpp::fcl::ComputeCollision Class Reference

`#include <hpp/fcl/collision.h>`

## Public Member Functions
| ComputeCollision (const CollisionGeometry *o1, const CollisionGeometry *o2)
std::size_t | operator() (const Transform3f &tf1, const Transform3f &tf2, const CollisionRequest &request, CollisionResult &result) const
std::size_t | operator() (const Transform3f &tf1, const Transform3f &tf2, CollisionRequest &request, CollisionResult &result) const
virtual | ~ComputeCollision ()

## Protected Member Functions
virtual std::size_t | run (const Transform3f &tf1, const Transform3f &tf2, const CollisionRequest &request, CollisionResult &result) const

## Protected Attributes
CollisionGeometry const * | o1
CollisionGeometry const * | o2
GJKSolver | solver
CollisionFunctionMatrix::CollisionFunc | func
bool | swap_geoms

## Detailed Description

This class reduces the cost of identifying the geometry pair. This is mostly useful for repeated shape-shape queries.

ComputeCollision calc_collision (o1, o2);
std::size_t ncontacts = calc_collision(tf1, tf2, request, result);
hpp::fcl::ComputeCollision::ComputeCollision
ComputeCollision(const CollisionGeometry *o1, const CollisionGeometry *o2)
hpp::fcl::ComputeCollision::o1
CollisionGeometry const * o1
Definition: collision.h:139
hpp::fcl::ComputeCollision::o2
CollisionGeometry const * o2
Definition: collision.h:142

## Constructor & Destructor Documentation

## ◆ ComputeCollision()

hpp::fcl::ComputeCollision::ComputeCollision | ( | const CollisionGeometry * | o1,
|  | const CollisionGeometry * | o2
| ) |  |

## ◆ ~ComputeCollision()

virtual hpp::fcl::ComputeCollision::~ComputeCollision | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ operator()() [1/2]

std::size_t hpp::fcl::ComputeCollision::operator() | ( | const Transform3f & | tf1,
|  | const Transform3f & | tf2,
|  | CollisionRequest & | request,
|  | CollisionResult & | result
| ) |  | const
| inline

## ◆ operator()() [2/2]

std::size_t hpp::fcl::ComputeCollision::operator() | ( | const Transform3f & | tf1,
|  | const Transform3f & | tf2,
|  | const CollisionRequest & | request,
|  | CollisionResult & | result
| ) |  | const
| inline

## ◆ run()

virtual std::size_t hpp::fcl::ComputeCollision::run | ( | const Transform3f & | tf1,
|  | const Transform3f & | tf2,
|  | const CollisionRequest & | request,
|  | CollisionResult & | result
| ) |  | const
| protectedvirtual

## Member Data Documentation

## ◆ func

CollisionFunctionMatrix::CollisionFunc hpp::fcl::ComputeCollision::func
| protected

## ◆ o1

CollisionGeometry const* hpp::fcl::ComputeCollision::o1
| protected

## ◆ o2

CollisionGeometry const * hpp::fcl::ComputeCollision::o2
| protected

## ◆ solver

GJKSolver hpp::fcl::ComputeCollision::solver
| protected

## ◆ swap_geoms

bool hpp::fcl::ComputeCollision::swap_geoms
| protected

The documentation for this class was generated from the following file:

- include/hpp/fcl/collision.h